Subject: bug#50865: 28.0.50; Emoji with emoji modifier in Linux console garbles emacs display

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Sep 2021 19:12:04 +0300

> From: Aura Kelloniemi <[email-masked]>
> Date: Tue, 28 Sep 2021 17:11:22 +0300
> 
> I'm running emacs in the Linux virtual console. Showing text that contains
> Unicode emoji characters with modifiers causes wrong output. The problem may
> be related to the fact that Linux basically does not understand Unicode
> composition, multi-column charactes or anything fancy. Anyhow, here are the
> instructions to reproduce this:
> 
> Run emacs -Q
> 
> In the scratch buffer on an empty line:
> Type C-x 8 RET PERSON WITH FOLDED HANDS RET
> 🙏 appears followed by the cursor. This is what I expect. (In the TTY screen
> only a black diamond is shown, but I can verify from /de/vcsu that the
> character really is an emoji.)
> 
> Then type C-x 8 RET EMOJI MODIFIER FITZPATRICK TYPE-3 RET
> Now the emoji modifier appears (again as a diamond), but it is followed by a
> space character.
> 
> So now the line looks like:
> <PERSON WITH FOLDED HANDS> <EMOJI MODIFIER FITZPATRICK TYPE-3> <SPACE>
> _cursor_

If your terminal doesn't understand character composition, the best
solution for you is to turn off auto-composition-mode when using Emacs
on that terminal.  Please try that and tell if that resolves the issue
for you: type "M-x auto-composition-mode RET" and make sure Emacs says
that the mode is disabled.

Thanks.